@echo off

if "%1" == "" goto USAGE
if "%2" == "" goto USAGE
if not exist %1:\%2\harpoon2.exe goto NOEXE

xcopy h2dpatch.* %1:\%2 /v
xcopy annex.rtp %1:\%2 /v
xcopy annexwp.rtp %1:\%2 /v
xcopy cwpatch.rtp %1:\%2 /v
copy patch.exe %1:\%2 /v
cd %1:\%2
%1:
h2dpatch
del h2dpatch.*
del annex.rtp
del annexwp.rtp
del cwpatch.rtp
del patch.exe

goto END

:USAGE

echo Usage : install drive dir 
echo         where drive is the letter of the drive to which Harpoon II
echo         was installed and dir is the drive:path into which 
echo         Harpoon II was installed
echo         example : if Harpoon II was installed to C:\GAMES\HARPOON2 type
echo                   install C GAMES\HARPOON2

goto END

:NOEXE
echo  Harpoon II not found in %1

:END
